Create credential report
Creates a report of credential lifecycle operations (issuance and status changes).
Only CWT and mDoc credentials are included in the report.
Roles
bearerAuthAuthorizationBearer <token>The credential report parameters
application/json- body
timezoneOffset*stringTimezone offset for the report in ISO-8601 format. For example, "+02:00" or "-05:00". This is used to determine the date boundaries for the report. For example, if the timezone offset is "+02:00", an operation that occurred at 2026-02-25T22:30:00Z would be counted towards 2026-02-26 in the report, while if the timezone offset is "-05:00", it would be counted towards 2026-02-25.
startDate*stringStart date for the report (inclusive) in ISO-8601 format. The date is interpreted based on the provided timezone offset. Maximum range for a single report is 31 days, so the endDate cannot be more than 30 days after the startDate.
dateendDate*stringEnd date for the report (inclusive) in ISO-8601 format. The date is interpreted based on the provided timezone offset. Maximum range for a single report is 31 days, so the endDate cannot be more than 30 days after the startDate.
dateprofiles*array<>A list of credential profiles to include in the report.
limit?integerMaximum number of entries to include in the report. Defaults to 1000.
1000cursor?stringCursor for pagination. If not specified, the report will start from the most recent entry.
Successfully generated credential report
application/json- response
data?array<>nextCursor?stringCursor to use in the next request to retrieve the next page of results. If not present, there are no more results.
curl -X POST "https://example.com/v1/events/credential-reports" \ -H "Content-Type: application/json" \ -d '{ "timezoneOffset": "+02:00", "startDate": "2026-02-01", "endDate": "2026-02-28", "profiles": [ "cwt", "mdoc" ] }'{ "data": [ { "date": "2026-02-25", "operation": "issued", "profile": "mdoc", "credentialType": "org.iso.18013.5.1.mDL", "count": 5 } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjYtMDItMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?
Retrieve events GET
Returns a list of matching events from the tenant's event database. The `categories` and `types` parameters filter based on an **OR** logic, whilst all other parameters use an "AND" logic. For example `(categories OR types) AND requestIds AND dateFrom`. Refer to the [Events registry](https://api-reference-sdk.mattr.global/event-registry/latest/index.html) for an inclusive list of events categories and types. Refer to [How to query analytic events](/docs/platform-management/analytics/guide) for guidance on ordering, paging and filtering results.
Sign a message POST
Accepts a message payload and signs it with a JWS (JSON Web Signature) using the a specific key from the DID (Decentralized Identifier) provided in the request.